<template>
  <router-link :to="{ name: 'detailNews', params: { news_id: link } }">
    <div class="news-item-container">
      <div class="news-item-content">
        <img
          :src="img"
          alt=""
        />
        <div class="news-item-info">
          <div
            class="news-item-date"
            v-html="date"
          ></div>
          <h3 v-html="title"></h3>
          <div
            class="news-item-anons"
            v-html="text"
          ></div>
          <div class="news-item-more">{{ btn }} <arrowMore color="#fff" /></div>
          <!-- <a :href="link">Подробнее <arrowMore color="#fff" /></a> -->
        </div>
      </div>
    </div>
  </router-link>
</template>

<script>
import arrowMore from './icons/arrow-more.vue';

export default {
  components: { arrowMore },
  props: {
    title: { type: String },
    text: { type: String },
    img: { type: String },
    link: { type: String },
    date: { type: String },
    btn: { type: String },
  },
};
</script>

<style></style>
